Entities management

This section contains entities management proto files.

entities_manager_service.proto

EntitiesManager

This service allows managing system entities. Entities are:

  • Person - Someone whose biometric data is to be analyzed for authenticity.
  • Fraudster - Someone who is known to be an imposter and is tracked in a fraudster watchlist.
  • Group - Set of persons. Groups are commonly used for Identification.
  • Watchlist - Set of fraudsters. Watchlists are commonly used for Known Fraudsters Detection. Each entity is identified by an ID determined by the calling application and by a unique ID generated by the system. Entity IDs must be unique at the scope level, while the IDs that the system generates are globally unique and immutable.

gRPC method definitions

gRPC method definitions
Method Name Request Type Response Type Description
CreatePerson CreatePerson
Request
CreatePerson
Response
Creates a new person entity in the specified scope.
RenamePerson RenamePerson
Request
RenamePerson
Response
Renames the person’s ID.
UpdatePerson UpdatePerson
Request
UpdatePerson
Response
Updates the person’s details.
GetPersonDetails GetPersonDetails
Request
GetPersonDetails
Response
Retrieves the person’s details.
GetGkPersonId GetGkPersonId
Request
GetGkPersonId
Response
Retrieves the unique ID of the specified person.
OptPersonIn OptPersonIn
Request
OptPersonIn
Response
Records that the person provided consent for collecting their biometric data.
OptPersonOut OptPersonOut
Request
OptPersonOut
Response
Records that the person did not provide consent for collecting their biometric data. If the person has a print, the method deletes it.
DeletePersonalData DeletePersonalData
Request
DeletePersonalData
Response
Deletes all personal information associated with the specified person from the system. Deletion is asynchronous and may take some time to complete. Use this method to adhere to Data Subject Rights as defined in various regulations such as GDPR. Unless set explicitly, the system uses the claimed ID as the audio owner. The method does not delete audio detected as fraud or tagged as legal hold. Note: When calling this API, ensure that only one engagement is active for the person.
DeletePerson DeletePerson
Request
DeletePerson
Response
Deletes the person entity and its prints. Associated audio and history data are deleted according to the purging definition.
ListPersonProfiles ListPersonProfiles
Request
ListPersonProfiles
Response
Enumerates all of the person’s print profiles.
CreateFraudster CreateFraudster
Request
CreateFraudster
Response
Creates a new fraudster entity in the specified scope.
RenameFraudster RenameFraudster
Request
RenameFraudster
Response
Renames the fraudster’s ID.
UpdateFraudster UpdateFraudster
Request
UpdateFraudster
Response
Updates the fraudster’s details.
GetFraudsterDetails GetFraudsterDetails
Request
GetFraudsterDetails
Response
Retrieves the fraudster’s details.
GetGkFraudsterId GetGkFraudsterId
Request
GetGkFraudsterId
Response
Retrieves the unique ID of the specified fraudster.
DeleteFraudster DeleteFraudster
Request
DeleteFraudster
Response
Deletes the fraudster entity and its prints. Associated audio and history data are deleted according to the purging definition.
ListFraudsterProfiles ListFraudsterProfiles
Request
ListFraudsterProfiles
Response
Enumerates all of the fraudster’s print profiles.
CreateGroup CreateGroup
Request
CreateGroup
Response
Creates a new group of persons in the specified scope.
RenameGroup RenameGroup
Request
RenameGroup
Response
Renames the group’s ID.
UpdateGroup UpdateGroup
Request
UpdateGroup
Response
Updates the group’s details.
GetGroupDetails GetGroupDetails
Request
GetGroupDetails
Response
Retrieves the group’s details.
GetGkGroupId GetGkGroupId
Request
GetGkGroupId
Response
Retrieves the unique ID of the specified group.
DeleteGroup DeleteGroup
Request
DeleteGroup
Response
Permanently deletes the group. Does not delete the group members (persons).
AddPersonToGroup AddPersonToGroup
Request
AddPersonToGroup
Response
Adds a person to a group.
RemovePersons FromGroup RemovePersons
FromGroup
Request
RemovePersons
FromGroup
Response
Removes a person from a group.
ListGroupPersons ListGroupPersons
Request
ListGroupPersons
Response
Returns a list of persons that belong to a group.
IsPersonInGroup IsPersonInGroup
Request
IsPersonInGroup
Response
Checks if a person is a member of a group.
CreateWatchlist CreateWatchlist
Request
CreateWatchlist
Response
Creates a new watchlist of fraudsters in the specified scope.
RenameWatchlist RenameWatchlist
Request
RenameWatchlist
Response
Renames the watchlist’s ID.
UpdateWatchlist UpdateWatchlist
Request
UpdateWatchlist
Response
Updates the watchlist’s details.
GetWatchlistDetails GetWatchlistDetails
Request
GetWatchlistDetails
Response
Retrieves the watchlist’s details.
GetGkWatchlistId GetGkWatchlistId
Request
GetGkWatchlistId
Response
Retrieves the unique ID of the specified watchlist.
DeleteWatchlist DeleteWatchlist
Request
DeleteWatchlist
Response
Permanently deletes the watchlist.
AddFraudsterToWatchlist AddFraudsterToWatchlist
Request
AddFraudsterToWatchlist
Response
Adds a fraudster to a watchlist.
RemoveFraudsters FromWatchlist RemoveFraudsters
FromWatchlist
Request
RemoveFraudsters
FromWatchlist
Response
Removes a fraudster from a watchlist.
ListWatchlistFraudsters ListWatchlistFraudsters
Request
ListWatchlistFraudsters
Response
Returns a list of fraudsters that belong to a watchlist.
IsFraudsterInWatchlist IsFraudsterInWatchlist
Request
IsFraudsterInWatchlist
Response
Checks if a fraudster is a member of a watchlist.
AddCallerIdRuleToWatchlist AddCallerIdRuleToWatchlist
Request
AddCallerIdRuleToWatchlist
Response
Adds a caller ID rule to the caller ID watchlist. Returns the ALREADY_EXISTS status code when caller ID rule with given phone number or caller ID regex already exists.
DeleteCallerIdRule FromWatchlist DeleteCallerIdRule
FromWatchlist
Request
DeleteCallerIdRule
FromWatchlist
Response
Deletes a caller ID rule from the caller ID watchlist. Returns the NOT_FOUND status code when caller ID rule with given ‘gk_caller_id_rule_id’ is not found.
UpdateCallerIdRuleInWatchlist UpdateCallerIdRuleInWatchlist
Request
UpdateCallerIdRuleInWatchlist
Response
Updates a caller ID rule within the caller ID watchlist. Returns the ALREADY_EXISTS status code when the caller ID rule, with given phone number or caller ID regex already exists.
ListWatchlistCallerIdRules ListWatchlistCallerIdRules
Request
ListWatchlistCallerIdRules
Response
Gets all caller ID rules from caller ID watchlist. Returns the list of caller id rules in descending order of creation.
ImportCallerIdRulesToWatchlist ImportCallerIdRulesToWatchlist
Request
ImportCallerIdRulesToWatchlist
Response
Imports the caller ID rules to the caller ID watchlist. Data must be in the CSV format. In case of record conflicts, the original record is kept and the new record is returned as a part of failed rules list. Returns the BAD_REQUEST status code if file fails to parse.
ExportCallerIdRules FromWatchlist ExportCallerIdRules
FromWatchlist
Request
ExportCallerIdRules
FromWatchlist
Response
Exports the caller ID rules within the caller ID watchlist.
TestCallerIdRule TestCallerIdRule
Request
TestCallerIdRule
Response
Tests the phone number against the given caller ID regex. In case of invalid phone number or caller_id_regex, it returns the INVALID REQUEST status code

Methods with HTTP bindings

CreatePerson

  POST /v1/persons  

RenamePerson

  PATCH /v1/persons/{gk_person_id.value}/person_id  

UpdatePerson

  PATCH /v1/persons/{gk_person_id.value}  
  POST /v1/persons/{gk_person_id.value}/update  

GetPersonDetails

  GET /v1/persons/{gk_person_id.value}  

GetGkPersonId

  GET /v1/persons/{person_id}/gkid  

OptPersonIn

  PUT /v1/persons/{gk_person_id.value}/optin  
  POST /v1/persons/{gk_person_id.value}/optin  

OptPersonOut

  PUT /v1/persons/{gk_person_id.value}/optout  
  POST /v1/persons/{gk_person_id.value}/optout  

DeletePersonalData

  DELETE /v1/persons/{gk_person_id.value}/personal-data  

DeletePerson

  DELETE /v1/persons/{gk_person_id.value}  

ListPersonProfiles

  GET /v1/persons/{gk_person_id.value}/profiles  

CreateFraudster

  POST /v1/fraudsters  

RenameFraudster

  PATCH /v1/fraudsters/{gk_fraudster_id.value}/fraudster_id  

UpdateFraudster

  PATCH /v1/fraudsters/{gk_fraudster_id.value}  

GetFraudsterDetails

  GET /v1/fraudsters/{gk_fraudster_id.value}  

GetGkFraudsterId

  GET /v1/fraudsters/{fraudster_id}/gkid  

DeleteFraudster

  DELETE /v1/fraudsters/{gk_fraudster_id.value}  

ListFraudsterProfiles

  GET /v1/fraudsters/{gk_fraudster_id.value}/profiles  

CreateGroup

  POST /v1/groups  

RenameGroup

  PATCH /v1/groups/{gk_group_id.value}/group_id  

UpdateGroup

  PATCH /v1/groups/{gk_group_id.value}  

GetGroupDetails

  GET /v1/groups/{gk_group_id.value}  

GetGkGroupId

  GET /v1/groups/{group_id}/gkid  

DeleteGroup

  DELETE /v1/groups/{gk_group_id.value}  

AddPersonToGroup

  POST /v1/groups/{gk_group_id.value}/persons  

RemovePersonsFromGroup

  POST /v1/groups/{gk_group_id.value}/persons:batchDelete  

ListGroupPersons

  GET /v1/groups/{gk_group_id.value}/persons  

IsPersonInGroup

  GET /v1/groups/{gk_group_id.value}/persons/{gk_person_id.value}/member  

CreateWatchlist

  POST /v1/watchlists  

RenameWatchlist

  PATCH /v1/watchlists/{gk_watchlist_id.value}/watchlist_id  

UpdateWatchlist

  PATCH /v1/watchlists/{gk_watchlist_id.value}  

GetWatchlistDetails

  GET /v1/watchlists/{gk_watchlist_id.value}  

GetGkWatchlistId

  GET /v1/watchlists/{watchlist_id}/gkid  

DeleteWatchlist

  DELETE /v1/watchlists/{gk_watchlist_id.value}  

AddFraudsterToWatchlist

  POST /v1/watchlists/{gk_watchlist_id.value}/fraudsters  

RemoveFraudstersFromWatchlist

  POST /v1/watchlists/{gk_watchlist_id.value}/fraudsters:batchDelete  

ListWatchlistFraudsters

  GET /v1/watchlists/{gk_watchlist_id.value}/fraudsters  

IsFraudsterInWatchlist

  GET /v1/watchlists/{gk_watchlist_id.value}/fraudsters/{gk_fraudster_id.value}/member  

AddCallerIdRuleToWatchlist

  POST /v1/calleridwatchlists/{gk_callerid_watchlist_id.value}/rules  

DeleteCallerIdRuleFromWatchlist

  DELETE /v1/calleridwatchlists/{gk_callerid_watchlist_id.value}/rules/{gk_callerid_rule_id.value}  

UpdateCallerIdRuleInWatchlist

  PUT /v1/calleridwatchlists/{gk_callerid_watchlist_id.value}/rules/{gk_callerid_rule_id.value}  

ListWatchlistCallerIdRules

  GET /v1/calleridwatchlists/{gk_callerid_watchlist_id.value}/rules  

ImportCallerIdRulesToWatchlist

  PUT /v1/calleridwatchlists/{gk_callerid_watchlist_id.value}/rules:import  

ExportCallerIdRulesFromWatchlist

  GET /v1/calleridwatchlists/{gk_callerid_watchlist_id.value}/rules:export  

TestCallerIdRule

  GET /v1/calleridwatchlists/inline/rule:test  

fraudsters_messages.proto

CreateFraudsterRequest

Input message that defines parameters for CreateFraudster.

Uses the context field as follows:

  • gk_engagement_id: Mandatory
  • gk_session_id: Mandatory
  • gk_scope_id: Mandatory
  • configset_id: Not used
CreateFraudsterRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context. Defines the scope in which the fraudster should be created.
fraudster_id string Mandatory. Identifies the fraudster. Must be unique at least at the scope level.
details FraudsterDetailsForCreate Optional. Provides additional information about the fraudster.
field_mask google.protobuf.FieldMask Optional. A field mask used to specify the FraudsterDetailsForCreate fields that the method sets.

CreateFraudsterResponse

Output message that defines parameters returned by CreateFraudster.

CreateFraudsterResponse
Field Type Description
status nuance.rpc.Status General operation status.
gk_fraudster_id nuance.biosec.v1.UniqueId The unique ID of the newly created fraudster.

DeleteFraudsterRequest

Input message that defines parameters for DeleteFraudster.

Uses the context field as follows:

  • gk_engagement_id: Mandatory
  • gk_session_id: Mandatory
  • gk_scope_id: Mandatory
  • configset_id: Not used
DeleteFraudsterRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
gk_fraudster_id nuance.biosec.v1.UniqueId Mandatory. Fraudster’s unique ID.

DeleteFraudsterResponse

Output message that defines parameters returned by DeleteFraudster.

DeleteFraudsterResponse
Field Type Description
status nuance.rpc.Status General operation status.

FraudsterDetailsForCreate

Contains fields that the system uses to create a fraudster entity. Included in CreateFraudsterRequest.

FraudsterDetailsForCreate
Field Type Description
first_name string Fraudster’s first name.
last_name string Fraudster’s last name.
gender_identity nuance.biosec.v1.Gender Fraudster’s gender.
preferred_language string Fraudster’s preferred language.
phone_numbers repeated string Repeated. Set of phone numbers associated with this fraudster.
custom_data repeated FraudsterDetailsForCreate.CustomDataEntry List of custom application data in key-value pairs.

FraudsterDetailsForCreate.CustomDataEntry

FraudsterDetailsForCreate.CustomDataEntry
Field Type Description
key string  
value string  

FraudsterDetailsForRead

Contains the readable fields of the fraudster. Included in GetFraudsterDetailsResponse.

FraudsterDetailsForRead
Field Type Description
gk_fraudster_id nuance.biosec.v1.UniqueId Fraudster’s unique ID.
fraudster_id string Fraudster identifier. Must be unique at least at the scope level.
first_name string Fraudster’s first name.
last_name string Fraudster’s last name.
gender_identity nuance.biosec.v1.Gender Fraudster’s gender.
voice_class_score_avg google.protobuf.FloatValue Average voice class scores of the fraudster’s voiceprints. It selectively find fraudsters with specific voice characteristics.
preferred_language string Fraudster’s preferred language.
phone_numbers repeated string Repeated. Set of phone numbers associated with this fraudster.
creation_timestamp google.protobuf.Timestamp Date and time when the fraudster is created.
modification_timestamp google.protobuf.Timestamp Date and time that the fraudster is last updated.
custom_data repeated FraudsterDetailsForRead.CustomDataEntry List of custom application data in key-value pairs.

FraudsterDetailsForRead.CustomDataEntry

FraudsterDetailsForRead.CustomDataEntry
Field Type Description
key string  
value string  

FraudsterDetailsForUpdate

Contains the writable fields of the fraudster. Included in UpdateFraudsterRequest.

FraudsterDetailsForUpdate
Field Type Description
first_name string Fraudster’s first name.
last_name string Fraudster’s last name.
gender_identity nuance.biosec.v1.Gender Fraudster’s gender.
preferred_language string Fraudster’s preferred language.
phone_numbers repeated string Repeated. Set of phone numbers associated with this fraudster.
custom_data repeated FraudsterDetailsForUpdate.CustomDataEntry List of custom application data in key-value pairs.

FraudsterDetailsForUpdate.CustomDataEntry

FraudsterDetailsForUpdate.CustomDataEntry
Field Type Description
key string  
value string  

GetFraudsterDetailsRequest

Input message that defines parameters for GetFraudsterDetails.

Uses the context field as follows:

  • gk_engagement_id: Not used
  • gk_session_id: Not used
  • gk_scope_id: Mandatory
  • configset_id: Not used
GetFraudsterDetailsRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
gk_fraudster_id nuance.biosec.v1.UniqueId Mandatory. The unique ID of the Fraudster.
field_mask google.protobuf.FieldMask Optional. A field mask used to specify the FraudsterDetailsForRead fields that the method reads.

GetFraudsterDetailsResponse

Output message that defines parameters returned by GetFraudsterDetails.

GetFraudsterDetailsResponse
Field Type Description
status nuance.rpc.Status General operation status.
details FraudsterDetailsForRead Fraudster’s details.

GetGkFraudsterIdRequest

Input message that defines parameters for GetGkFraudsterId.

Uses the context field as follows:

  • gk_engagement_id: Not used
  • gk_session_id: Not used
  • gk_scope_id: Mandatory
  • configset_id: Not used
GetGkFraudsterIdRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
fraudster_id string Mandatory. Identifies the fraudster.

GetGkFraudsterIdResponse

Output message that defines parameters returned by GetGkFraudsterId.

GetGkFraudsterIdResponse
Field Type Description
status nuance.rpc.Status General operation status.
gk_fraudster_id nuance.biosec.v1.UniqueId Fraudster’s unique ID.

ListFraudsterProfilesFilter

Contains an array of the types of prints that the method should filer by.

ListFraudsterProfilesFilter
Field Type Description
print_type repeated nuance.biosec.v1.PrintType Optional. An array of the types of prints that the method should filer by.

ListFraudsterProfilesRequest

Input message that defines parameters for ListFraudsterProfiles.

Uses the context field as follows:

  • gk_engagement_id: Not used
  • gk_session_id: Not used
  • gk_scope_id: Mandatory
  • configset_id: Not used
ListFraudsterProfilesRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
gk_fraudster_id nuance.biosec.v1.UniqueId Mandatory. Fraudster’s unique ID.
filter ListFraudsterProfilesFilter Optional. Contains the types of prints that the method should filer by.

ListFraudsterProfilesResponse

Output message that defines parameters returned by ListFraudsterProfiles.

ListFraudsterProfilesResponse
Field Type Description
status nuance.rpc.Status Mandatory. General operation status.
gk_voiceprint_profile_ids repeated nuance.biosec.v1.UniqueId Optional. The voiceprint profile unique identifier.
gk_convoprint_profile_ids repeated nuance.biosec.v1.UniqueId Optional. The convoprint profile unique identifier.
gk_deviceprint_profile_ids repeated nuance.biosec.v1.UniqueId Optional. The deviceprint profile unique identifier.

RenameFraudsterRequest

Input message that defines parameters for RenameFraudster.

Uses the context field as follows:

  • gk_engagement_id: Mandatory
  • gk_session_id: Mandatory
  • gk_scope_id: Mandatory
  • configset_id: Not used
RenameFraudsterRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
gk_fraudster_id nuance.biosec.v1.UniqueId Mandatory. Fraudster’s unique ID.
new_fraudster_id string Mandatory. Fraudster’s new id to identify the fraudster. Must be unique at least at the scope level.

RenameFraudsterResponse

Output message that defines parameters returned by RenameFraudster.

RenameFraudsterResponse
Field Type Description
status nuance.rpc.Status Mandatory. General operation status.

UpdateFraudsterRequest

Input message that defines parameters for UpdateFraudster.

Uses the context field as follows:

  • gk_engagement_id: Mandatory
  • gk_session_id: Mandatory
  • gk_scope_id: Mandatory
  • configset_id: Not used
UpdateFraudsterRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
gk_fraudster_id nuance.biosec.v1.UniqueId Mandatory. Fraudster’s unique ID.
details FraudsterDetailsForUpdate Mandatory. Details that the method updates.
field_mask google.protobuf.FieldMask Mandatory. A field mask used to specify the FraudsterDetailsForUpdate fields that the method sets.

UpdateFraudsterResponse

Output message that defines parameters returned by UpdateFraudster.

UpdateFraudsterResponse
Field Type Description
status nuance.rpc.Status General operation status.

groups_messages.proto

AddPersonToGroupRequest

Input message that defines parameters for AddPersonToGroup.

Uses the context field as follows:

  • gk_engagement_id: Mandatory
  • gk_session_id: Mandatory
  • gk_scope_id: Mandatory
  • configset_id: Not used
AddPersonToGroupRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
gk_group_id nuance.biosec.v1.UniqueId Mandatory. Group’s unique ID.
gk_person_id nuance.biosec.v1.UniqueId Mandatory. Unique ID of the Person that the method adds to the group.

AddPersonToGroupResponse

Output message that defines parameters returned by AddPersonToGroup.

AddPersonToGroupResponse
Field Type Description
status nuance.rpc.Status General operation status.

CreateGroupRequest

Input message that defines parameters for CreateGroup.

Uses the context field as follows:

  • gk_engagement_id: Mandatory
  • gk_session_id: Mandatory
  • gk_scope_id: Mandatory
  • configset_id: Not used
CreateGroupRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context. Defines the scope in which the group is created.
group_id string Mandatory. Use to identify the group. Must be unique at least at the scope level.
details GroupDetailsForCreate Optional. Provides additional information about the group.
field_mask google.protobuf.FieldMask Optional. A field mask used to specify the GroupDetailsForCreate fields that the method sets.

CreateGroupResponse

Output message that defines parameters returned by CreateGroup.

CreateGroupResponse
Field Type Description
status nuance.rpc.Status General operation status.
gk_group_id nuance.biosec.v1.UniqueId Unique ID of the newly created group.

DeleteGroupRequest

Input message that defines parameters for DeleteGroup.

Uses the context field as follows:

  • gk_engagement_id: Mandatory
  • gk_session_id: Mandatory
  • gk_scope_id: Mandatory
  • configset_id: Not used
DeleteGroupRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
gk_group_id nuance.biosec.v1.UniqueId Mandatory. Group’s unique ID.

DeleteGroupResponse

Output message that defines parameters returned by DeleteGroup.

DeleteGroupResponse
Field Type Description
status nuance.rpc.Status General operation status.

GetGkGroupIdRequest

Input message that defines parameters for GetGkGroupId.

Uses the context field as follows:

  • gk_engagement_id: Not used
  • gk_session_id: Not used
  • gk_scope_id: Mandatory
  • configset_id: Not used
GetGkGroupIdRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
group_id string Mandatory. Group’s identifier.

GetGkGroupIdResponse

Output message that defines parameters returned by GetGkGroupId.

GetGkGroupIdResponse
Field Type Description
status nuance.rpc.Status General operation status.
gk_group_id nuance.biosec.v1.UniqueId Group’s unique ID.

GetGroupDetailsRequest

Input message that defines parameters for GetGroupDetails.

Uses the context field as follows:

  • gk_engagement_id: Not used
  • gk_session_id: Not used
  • gk_scope_id: Mandatory
  • configset_id: Not used
GetGroupDetailsRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
gk_group_id nuance.biosec.v1.UniqueId Mandatory. Group’s unique ID.
field_mask google.protobuf.FieldMask Optional. A field mask used to specify the GroupDetailsForRead fields that the method reads.

GetGroupDetailsResponse

Output message that defines parameters returned by GetGroupDetails.

GetGroupDetailsResponse
Field Type Description
status nuance.rpc.Status General operation status.
details GroupDetailsForRead Group’s details.

GroupDetailsForCreate

Contains fields that the system uses to create a group. Included in CreateGroupRequest.

GroupDetailsForCreate
Field Type Description
custom_data repeated GroupDetailsForCreate.CustomDataEntry List of custom application data in key-value pairs.

GroupDetailsForCreate.CustomDataEntry

GroupDetailsForCreate.CustomDataEntry
Field Type Description
key string  
value string  

GroupDetailsForRead

Contains the readable fields of the Group. Included in GetGroupDetailsResponse.

GroupDetailsForRead
Field Type Description
gk_group_id nuance.biosec.v1.UniqueId Group’s unique ID.
group_id string Group’s identifier. Must be unique at least at the scope level.
creation_timestamp google.protobuf.Timestamp Date and time of group creation.
modification_timestamp google.protobuf.Timestamp Date and time of group’s last update.
custom_data repeated GroupDetailsForRead.CustomDataEntry List of custom application data in key-value pairs.

GroupDetailsForRead.CustomDataEntry

GroupDetailsForRead.CustomDataEntry
Field Type Description
key string  
value string  

GroupDetailsForUpdate

Contains the writable fields of the group. Included in UpdateGroupRequest.

GroupDetailsForUpdate
Field Type Description
custom_data repeated GroupDetailsForUpdate.CustomDataEntry List of custom application data in key-value pairs.

GroupDetailsForUpdate.CustomDataEntry

GroupDetailsForUpdate.CustomDataEntry
Field Type Description
key string  
value string  

IsPersonInGroupRequest

Input message that defines parameters for IsPersonInGroup.

Uses the context field as follows:

  • gk_engagement_id: Not used
  • gk_session_id: Not used
  • gk_scope_id: Mandatory
  • configset_id: Not used
IsPersonInGroupRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
gk_group_id nuance.biosec.v1.UniqueId Mandatory. Group’s unique ID.
gk_person_id nuance.biosec.v1.UniqueId Mandatory. Person’s unique ID.

IsPersonInGroupResponse

Output message that defines parameters returned by IsPersonInGroup.

IsPersonInGroupResponse
Field Type Description
status nuance.rpc.Status General operation status.
is_in_group bool Indicates whether the person is a member of the group or not.

ListGroupPersonsRequest

Input message that defines parameters for ListGroupPersons.

Uses the context field as follows:

  • gk_engagement_id: Not used
  • gk_session_id: Not used
  • gk_scope_id: Mandatory
  • configset_id: Not used
ListGroupPersonsRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
gk_group_id nuance.biosec.v1.UniqueId Mandatory. Group’s unique ID.

ListGroupPersonsResponse

Output message that defines parameters returned by ListGroupPersons.

ListGroupPersonsResponse
Field Type Description
status nuance.rpc.Status General operation status.
gk_person_id repeated nuance.biosec.v1.UniqueId List of person IDs.

RemovePersonsFromGroupRequest

Input message that defines parameters for RemovePersonsFromGroup.

Uses the context field as follows:

  • gk_engagement_id: Mandatory
  • gk_session_id: Mandatory
  • gk_scope_id: Mandatory
  • configset_id: Not used
RemovePersonsFromGroupRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
gk_group_id nuance.biosec.v1.UniqueId Mandatory. Group’s unique ID.
gk_person_ids repeated nuance.biosec.v1.UniqueId Mandatory. Unique IDs of persons that the method removes.

RemovePersonsFromGroupResponse

Output message that defines parameters returned by RemovePersonsFromGroup.

RemovePersonsFromGroupResponse
Field Type Description
status nuance.rpc.Status General operation status.

RenameGroupRequest

Input message that defines parameters for RenameGroup.

Uses the context field as follows:

  • gk_engagement_id: Mandatory
  • gk_session_id: Mandatory
  • gk_scope_id: Mandatory
  • configset_id: Not used
RenameGroupRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
gk_group_id nuance.biosec.v1.UniqueId Mandatory. Group’s unique ID.
new_group_id string Mandatory. Group’s new id. Used to identify the group. Must be unique at least at the scope level.

RenameGroupResponse

Output message that defines parameters returned by RenameGroup.

RenameGroupResponse
Field Type Description
status nuance.rpc.Status Mandatory. General operation status.

UpdateGroupRequest

Input message that defines parameters for UpdateGroup.

Uses the context field as follows:

  • gk_engagement_id: Mandatory
  • gk_session_id: Mandatory
  • gk_scope_id: Mandatory
  • configset_id: Not used
UpdateGroupRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
gk_group_id nuance.biosec.v1.UniqueId Mandatory. Group’s unique ID.
details GroupDetailsForUpdate Mandatory. Details that the method updates.
field_mask google.protobuf.FieldMask Mandatory. A field mask used to specify the GroupDetailsForUpdate fields that the method sets.

UpdateGroupResponse

Output message that defines parameters returned by GroupDetailsForUpdate.

UpdateGroupResponse
Field Type Description
status nuance.rpc.Status General operation status.

persons_messages.proto

ConsentInfo

Detailed information regarding the consent status.

ConsentInfo
Field Type Description
agent_id string Identifier of the agent who handled the call.
status ConsentStatus The consent status.
reason string Additional information about the reason for the consent status.
timestamp google.protobuf.Timestamp Date and time when the consent status is set.
opt_in_time google.protobuf.Timestamp Date and time at which the agent offers the person to opt-in.

CreatePersonRequest

Input message that defines parameters for CreatePerson.

Uses the context field as follows:

  • gk_engagement_id: Mandatory
  • gk_session_id: Mandatory
  • gk_scope_id: Mandatory
  • configset_id: Not used
CreatePersonRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context. Defines the scope in which the person is created.
person_id string Mandatory. Identifies the person. Must be unique at least at the scope level.
details PersonDetailsForCreate Optional. Additional information about the person.
field_mask google.protobuf.FieldMask Optional. A field mask used to specify the PersonDetailsForCreate fields that the method sets.

CreatePersonResponse

Output message that defines parameters returned by CreatePerson.

CreatePersonResponse
Field Type Description
status nuance.rpc.Status General operation status.
gk_person_id nuance.biosec.v1.UniqueId Unique ID of the newly created person.

DeletePersonRequest

Input message that defines parameters for DeletePerson.

Uses the context field as follows:

  • gk_engagement_id: Mandatory
  • gk_session_id: Mandatory
  • gk_scope_id: Mandatory
  • configset_id: Not used
DeletePersonRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
gk_person_id nuance.biosec.v1.UniqueId Mandatory. Person’s unique ID.

DeletePersonResponse

Output message that defines parameters returned by DeletePerson.

DeletePersonResponse
Field Type Description
status nuance.rpc.Status General operation status.

DeletePersonalDataRequest

Input message that defines parameters for DeletePersonalData.

Uses the context field as follows:

  • gk_engagement_id: Mandatory
  • gk_session_id: Mandatory
  • gk_scope_id: Mandatory
  • configset_id: Not used
DeletePersonalDataRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
gk_person_id nuance.biosec.v1.UniqueId Mandatory. Person’s Unique ID.

DeletePersonalDataResponse

Output message that defines parameters returned by DeletePersonalData.

DeletePersonalDataResponse
Field Type Description
status nuance.rpc.Status General operation status.

GetGkPersonIdRequest

Input message that defines parameters for GetGkPersonId.

Uses the context field as follows:

  • gk_engagement_id: Not used
  • gk_session_id: Not used
  • gk_scope_id: Mandatory
  • configset_id: Not used
GetGkPersonIdRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
person_id string Mandatory. Identifies the person.

GetGkPersonIdResponse

Output message that defines parameters returned by GetGkPersonId.

GetGkPersonIdResponse
Field Type Description
status nuance.rpc.Status General operation status.
gk_person_id nuance.biosec.v1.UniqueId Person’s unique ID.

GetPersonDetailsRequest

Input message that defines parameters for GetPersonDetails.

Uses the context field as follows:

  • gk_engagement_id: Not used
  • gk_session_id: Not used
  • gk_scope_id: Mandatory
  • configset_id: Not used
GetPersonDetailsRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
gk_person_id nuance.biosec.v1.UniqueId Mandatory. Person’s unique ID.
field_mask google.protobuf.FieldMask Optional. A field mask used to specify the PersonDetailsForRead fields that the method reads.

GetPersonDetailsResponse

Output message that defines parameters returned by GetPersonDetails.

GetPersonDetailsResponse
Field Type Description
status nuance.rpc.Status General operation status.
details PersonDetailsForRead Person’s details.

ListPersonProfilesFilter

Contains an array of the types of prints that the method should filer by.

ListPersonProfilesFilter
Field Type Description
print_type repeated nuance.biosec.v1.PrintType Optional. An array of the types of prints that the method should filer by.

ListPersonProfilesRequest

Input message that defines parameters for ListPersonProfiles.

Uses the context field as follows:

  • gk_engagement_id: Not used
  • gk_session_id: Not used
  • gk_scope_id: Mandatory
  • configset_id: Not used
ListPersonProfilesRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
gk_person_id nuance.biosec.v1.UniqueId Mandatory. Person’s Unique ID.
filter ListPersonProfilesFilter Optional. Contains the types of prints that the method should filer by.

ListPersonProfilesResponse

Output message that defines parameters returned by ListPersonProfiles.

ListPersonProfilesResponse
Field Type Description
status nuance.rpc.Status Mandatory. General operation status.
gk_voiceprint_profile_ids repeated nuance.biosec.v1.UniqueId Optional. The voiceprint profile unique identifier.
gk_convoprint_profile_ids repeated nuance.biosec.v1.UniqueId Optional. The convoprint profile unique identifier.
gk_deviceprint_profile_ids repeated nuance.biosec.v1.UniqueId Optional. The deviceprint profile unique identifier.

OptPersonInRequest

Input message that defines parameters for OptPersonIn.

Uses the context field as follows:

  • gk_engagement_id: Mandatory
  • gk_session_id: Mandatory
  • gk_scope_id: Mandatory
  • configset_id: Not used
OptPersonInRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
gk_person_id nuance.biosec.v1.UniqueId Mandatory. Person’s unique ID.

OptPersonInResponse

Output message that defines parameters returned by OptPersonIn.

OptPersonInResponse
Field Type Description
status nuance.rpc.Status General operation status.

OptPersonOutRequest

Input message that defines parameters for OptPersonOut.

Uses the context field as follows:

  • gk_engagement_id: Mandatory
  • gk_session_id: Mandatory
  • gk_scope_id: Mandatory
  • configset_id: Not used
OptPersonOutRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
gk_person_id nuance.biosec.v1.UniqueId Mandatory. Person’s unique ID.
reason string Optional. Additional information about the reason for the consent status provided.
days_for_opt_in google.protobuf.Int32Value Optional. Number of days that need to pass before the agent can offer the person to opt-in.

OptPersonOutResponse

Output message that defines parameters returned by OptPersonOut.

OptPersonOutResponse
Field Type Description
status nuance.rpc.Status General operation status.

PersonDetailsForCreate

Contains fields that the system uses to create a person entity. Included in CreatePersonRequest.

PersonDetailsForCreate
Field Type Description
first_name string Person’s first name.
last_name string Person’s last name.
gender_identity nuance.biosec.v1.Gender Person’s gender.
preferred_language string Person’s preferred language.
phone_numbers repeated string Repeated. Set of phone numbers associated with this person.
custom_data repeated PersonDetailsForCreate.CustomDataEntry List of custom application data in key-value pairs.

PersonDetailsForCreate.CustomDataEntry

PersonDetailsForCreate.CustomDataEntry
Field Type Description
key string  
value string  

PersonDetailsForRead

Contains the readable fields of the person. Included in GetPersonDetailsResponse.

PersonDetailsForRead
Field Type Description
gk_person_id nuance.biosec.v1.UniqueId Person’s unique ID.
person_id string Person’s identifier. Must be unique at least at the scope level.
first_name string Person’s first name.
last_name string Person’s last name.
gender_identity nuance.biosec.v1.Gender Person’s gender.
voice_class_score_avg google.protobuf.FloatValue Average voice class scores of the person’s voiceprints. It selectively find persons with specific voice characteristics.
preferred_language string Person’s preferred language.
phone_numbers repeated string Repeated. Set of phone numbers associated with this person.
consent_info ConsentInfo The consent status.
creation_timestamp google.protobuf.Timestamp Date and time of the person’s creation.
modification_timestamp google.protobuf.Timestamp Date and time of the person’s last update.
custom_data repeated PersonDetailsForRead.CustomDataEntry List of custom application data in key-value pairs.

PersonDetailsForRead.CustomDataEntry

PersonDetailsForRead.CustomDataEntry
Field Type Description
key string  
value string  

PersonDetailsForUpdate

Contains the writable fields of the Person. Included in UpdatePersonRequest.

PersonDetailsForUpdate
Field Type Description
first_name string Person’s first name.
last_name string Person’s last name.
gender_identity nuance.biosec.v1.Gender Person’s gender.
preferred_language string Person’s preferred language.
phone_numbers repeated string Repeated. Set of phone numbers associated with this person.
custom_data repeated PersonDetailsForUpdate.CustomDataEntry List of custom application data in key-value pairs.

PersonDetailsForUpdate.CustomDataEntry

PersonDetailsForUpdate.CustomDataEntry
Field Type Description
key string  
value string  

RenamePersonRequest

Input message that defines parameters for RenamePerson.

Uses the context field as follows:

  • gk_engagement_id: Mandatory
  • gk_session_id: Mandatory
  • gk_scope_id: Mandatory
  • configset_id: Not used
RenamePersonRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
gk_person_id nuance.biosec.v1.UniqueId Mandatory. Person’s unique ID.
new_person_id string Mandatory. Person’s new id to identify the person. Must be unique at least at the scope level.

RenamePersonResponse

Output message that defines parameters returned by RenamePerson.

RenamePersonResponse
Field Type Description
status nuance.rpc.Status Mandatory. General operation status.

UpdatePersonRequest

Input message that defines parameters for UpdatePerson.

Uses the context field as follows:

  • gk_engagement_id: Mandatory
  • gk_session_id: Mandatory
  • gk_scope_id: Mandatory
  • configset_id: Not used
UpdatePersonRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
gk_person_id nuance.biosec.v1.UniqueId Mandatory. Person’s unique ID.
details PersonDetailsForUpdate Mandatory. Details that the method updates.
field_mask google.protobuf.FieldMask Mandatory. A field mask used to specify the PersonDetailsForUpdate fields that the method sets.

UpdatePersonResponse

Output message that defines parameters returned by UpdatePerson.

UpdatePersonResponse
Field Type Description
status nuance.rpc.Status General operation status.

watchlists_messages.proto

AddFraudsterToWatchlistRequest

Input message that defines parameters for AddFraudsterToWatchlist.

Uses the context field as follows:

  • gk_engagement_id: Mandatory
  • gk_session_id: Mandatory
  • gk_scope_id: Mandatory
  • configset_id: Not used
AddFraudsterToWatchlistRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
gk_watchlist_id nuance.biosec.v1.UniqueId Mandatory. Watchlist’s unique ID.
gk_fraudster_id nuance.biosec.v1.UniqueId Mandatory. Unique ID of the fraudster that the method adds.

AddFraudsterToWatchlistResponse

Output message that defines parameters returned by AddFraudsterToWatchlist.

AddFraudsterToWatchlistResponse
Field Type Description
status nuance.rpc.Status General operation status.

CreateWatchlistRequest

Input message that defines parameters for CreateWatchlist.

Uses the context field as follows:

  • gk_engagement_id: Mandatory
  • gk_session_id: Mandatory
  • gk_scope_id: Mandatory
  • configset_id: Not used
CreateWatchlistRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context. Defines the scope in which the watchlist is created.
watchlist_id string Mandatory. Identifies the watchlist. Must be unique at least at the scope level.
details WatchlistDetailsForCreate Optional. Provides additional information about the watchlist.
field_mask google.protobuf.FieldMask Optional. A field mask used to specify the WatchlistDetailsForCreate fields that the method sets.

CreateWatchlistResponse

Output message that defines parameters returned by CreateWatchlist.

CreateWatchlistResponse
Field Type Description
status nuance.rpc.Status General operation status.
gk_watchlist_id nuance.biosec.v1.UniqueId Unique ID of the newly created watchlist.

DeleteWatchlistRequest

Input message that defines parameters for DeleteWatchlist.

Uses the context field as follows:

  • gk_engagement_id: Mandatory
  • gk_session_id: Mandatory
  • gk_scope_id: Mandatory
  • configset_id: Not used
DeleteWatchlistRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
gk_watchlist_id nuance.biosec.v1.UniqueId Mandatory. Watchlist’s unique ID.

DeleteWatchlistResponse

Output message that defines parameters returned by DeleteWatchlist.

DeleteWatchlistResponse
Field Type Description
status nuance.rpc.Status General operation status.

GetGkWatchlistIdRequest

Input message that defines parameters for GetGkWatchlistId.

Uses the context field as follows:

  • gk_engagement_id: Not used
  • gk_session_id: Not used
  • gk_scope_id: Mandatory
  • configset_id: Not used
GetGkWatchlistIdRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
watchlist_id string Mandatory. Watchlist’s identifier.

GetGkWatchlistIdResponse

Output message that defines parameters returned by GetGkWatchlistId.

GetGkWatchlistIdResponse
Field Type Description
status nuance.rpc.Status General operation status.
gk_watchlist_id nuance.biosec.v1.UniqueId Watchlist’s unique ID.

GetWatchlistDetailsRequest

Input message that defines parameters for GetWatchlistDetails.

Uses the context field as follows:

  • gk_engagement_id: Not used
  • gk_session_id: Not used
  • gk_scope_id: Mandatory
  • configset_id: Not used
GetWatchlistDetailsRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
gk_watchlist_id nuance.biosec.v1.UniqueId Mandatory. Watchlist’s unique ID.
field_mask google.protobuf.FieldMask Optional. A field mask used to specify the WatchlistDetailsForRead fields that the method reads.

GetWatchlistDetailsResponse

Output message that defines parameters returned by GetWatchlistDetails.

GetWatchlistDetailsResponse
Field Type Description
status nuance.rpc.Status General operation status.
details WatchlistDetailsForRead Watchlist’s details.

IsFraudsterInWatchlistRequest

Input message that defines parameters for IsFraudsterInWatchlist.

Uses the context field as follows:

  • gk_engagement_id: Not used
  • gk_session_id: Not used
  • gk_scope_id: Mandatory
  • configset_id: Not used
IsFraudsterInWatchlistRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
gk_watchlist_id nuance.biosec.v1.UniqueId Mandatory. Watchlist’s unique ID.
gk_fraudster_id nuance.biosec.v1.UniqueId Mandatory. Fraudster’s unique ID.

IsFraudsterInWatchlistResponse

Output message that defines parameters returned by IsFraudsterInWatchlist.

IsFraudsterInWatchlistResponse
Field Type Description
status nuance.rpc.Status General operation status.
is_in_watchlist bool Indicates whether the fraudster is a member of the watchlist or not.

ListWatchlistFraudstersRequest

Input message that defines parameters for ListWatchlistFraudsters.

Uses the context field as follows:

  • gk_engagement_id: Not used
  • gk_session_id: Not used
  • gk_scope_id: Mandatory
  • configset_id: Not used
ListWatchlistFraudstersRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
gk_watchlist_id nuance.biosec.v1.UniqueId Mandatory. Watchlist’s unique ID.

ListWatchlistFraudstersResponse

Output message that defines parameters returned by ListWatchlistFraudsters.

ListWatchlistFraudstersResponse
Field Type Description
status nuance.rpc.Status General operation status.
gk_fraudster_id repeated nuance.biosec.v1.UniqueId List of fraudster IDs.

RemoveFraudstersFromWatchlistRequest

Input message that defines parameters for RemoveFraudstersFromWatchlist.

Uses the context field as follows:

  • gk_engagement_id: Mandatory
  • gk_session_id: Mandatory
  • gk_scope_id: Mandatory
  • configset_id: Not used
RemoveFraudstersFromWatchlistRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
gk_watchlist_id nuance.biosec.v1.UniqueId Mandatory. Watchlist’s unique ID.
gk_fraudster_ids repeated nuance.biosec.v1.UniqueId Mandatory. Unique ID of the fraudster that the method removes.

RemoveFraudstersFromWatchlistResponse

Output message that defines parameters returned by RemoveFraudstersFromWatchlist.

RemoveFraudstersFromWatchlistResponse
Field Type Description
status nuance.rpc.Status General operation status.

RenameWatchlistRequest

Input message that defines parameters for RenameWatchlist.

Uses the context field as follows:

  • gk_engagement_id: Mandatory
  • gk_session_id: Mandatory
  • gk_scope_id: Mandatory
  • configset_id: Not used
RenameWatchlistRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
gk_watchlist_id nuance.biosec.v1.UniqueId Mandatory. Watchlist’s unique ID.
new_watchlist_id string Mandatory. Watchlist’s new id to identify the watchlist. Must be unique at least at the scope level.

RenameWatchlistResponse

Output message that defines parameters returned by RenameWatchlist.

RenameWatchlistResponse
Field Type Description
status nuance.rpc.Status Mandatory. General operation status.

UpdateWatchlistRequest

Input message that defines parameters for UpdateWatchlist.

Uses the context field as follows:

  • gk_engagement_id: Mandatory
  • gk_session_id: Mandatory
  • gk_scope_id: Mandatory
  • configset_id: Not used
UpdateWatchlistRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
gk_watchlist_id nuance.biosec.v1.UniqueId Mandatory. Watchlist’s unique ID.
details WatchlistDetailsForUpdate Mandatory. Details that the method updates.
field_mask google.protobuf.FieldMask Mandatory. A field mask used to specify the WatchlistDetailsForUpdate fields is set.

UpdateWatchlistResponse

Output message that defines parameters returned by UpdateWatchlist.

UpdateWatchlistResponse
Field Type Description
status nuance.rpc.Status General operation status.

WatchlistDetailsForCreate

Contains fields that the system uses to create a watchlist entity. Included in CreateWatchlistRequest.

WatchlistDetailsForCreate
Field Type Description
custom_data repeated WatchlistDetailsForCreate.CustomDataEntry List of custom application data in key-value pairs.

WatchlistDetailsForCreate.CustomDataEntry

WatchlistDetailsForCreate.CustomDataEntry
Field Type Description
key string  
value string  

WatchlistDetailsForRead

Contains the readable fields of the Watchlist. Included in GetWatchlistDetailsResponse.

WatchlistDetailsForRead
Field Type Description
gk_watchlist_id nuance.biosec.v1.UniqueId Watchlist’s unique ID.
watchlist_id string Watchlist’s identifier. Must be unique at least at the scope level.
creation_timestamp google.protobuf.Timestamp Date and time of the watchlist’s creation.
modification_timestamp google.protobuf.Timestamp Date and time of the watchlist’s last update.
custom_data repeated WatchlistDetailsForRead.CustomDataEntry List of custom application data in key-value pairs.

WatchlistDetailsForRead.CustomDataEntry

WatchlistDetailsForRead.CustomDataEntry
Field Type Description
key string  
value string  

WatchlistDetailsForUpdate

Contains the writable fields of the watchlist. Included in UpdateWatchlistRequest.

WatchlistDetailsForUpdate
Field Type Description
custom_data repeated WatchlistDetailsForUpdate.CustomDataEntry List of custom application data in key-value pairs.

WatchlistDetailsForUpdate.CustomDataEntry

WatchlistDetailsForUpdate.CustomDataEntry
Field Type Description
key string  
value string  

caller_id_watchlists_messages.proto

AddCallerIdRuleToWatchlistRequest

Input message that defines parameters for AddCallerIdRuleToWatchlist.

Uses the context field as follows:

  • gk_engagement_id: Mandatory
  • gk_session_id: Mandatory
  • gk_scope_id: Mandatory
  • configset_id: Not used
AddCallerIdRuleToWatchlistRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context. Defines the scope in which the caller ID rule should be created.
gk_callerid_watchlist_id nuance.biosec.v1.UniqueId Mandatory. The ID of the watchlist in which caller ID rule should be added. For each scope there is a default caller ID watchlist with the ID “00000000-0000-0000-0000-000000000000” created at the time of the scope creation, empty by default.
details CallerIdWatchlistDetailsForCreate Mandatory. Provides information about the caller ID rule.
field_mask google.protobuf.FieldMask Optional. A field mask used to specify the CallerIdWatchlistDetailsForCreate fields that the method sets.

AddCallerIdRuleToWatchlistResponse

Output message that defines parameters returned by AddCallerIdRuleToWatchlist.

AddCallerIdRuleToWatchlistResponse
Field Type Description
status nuance.rpc.Status General operation status.
gk_callerid_rule_id nuance.biosec.v1.UniqueId The unique ID of newly created caller ID rule.
normalized_phone_number string Optional. The phone number, provided as numeric characters, in the rule is normalized by removing the following special characters: hash (#), plus (+), hyphen (-), whitespace ( ), and parenthesis (()).

CallerIdWatchlistDetailsForCreate

Contain fields that the system uses to create a caller ID rule entity. Included in AddCallerIdRuleToWatchlistRequest.

CallerIdWatchlistDetailsForCreate
Field Type Description
One of caller_id:  
Mandatory. One of both(phone_number or caller_id_regex) is required.
   phone_number string The exact phone number.
   caller_id_regex string The regular expression representing set of phone numbers.
description string Optional. The description of caller ID rule.
risk_level nuance.biosec.v1.CallerIdRiskLevel Mandatory. The risk level of caller ID rule.

CallerIdWatchlistDetailsForRead

Contain the readable fields of the caller ID rule. Included in ListWatchlistCallerIdRulesResponse.

CallerIdWatchlistDetailsForRead
Field Type Description
gk_callerid_rule_id nuance.biosec.v1.UniqueId The unique ID of caller ID rule.
One of caller_id:  
   phone_number string The exact phone number.
   caller_id_regex string The regular expression representing set of phone numbers.
One of member:  
User who created or modified the caller ID rule last.
   client_id string  
   analyst_id string  
description string The description of caller ID rule.
risk_level nuance.biosec.v1.CallerIdRiskLevel The risk level of caller ID rule.
creation_timestamp google.protobuf.Timestamp Creation timestamp when the caller ID rule ID added to the watchlist.
modification_timestamp google.protobuf.Timestamp Modification timestamp when the caller ID rule is updated.

CallerIdWatchlistDetailsForUpdate

Contain the writable fields of the caller ID watchlist. Included in UpdateCallerIdRuleInWatchlistRequest.

CallerIdWatchlistDetailsForUpdate
Field Type Description
One of caller_id:  
Optional.
   phone_number string The exact phone number.
   caller_id_regex string The regular expression representing set of phone numbers.
description string Optional. The description of caller ID rule.
risk_level nuance.biosec.v1.CallerIdRiskLevel Optional. The risk level of caller ID rule.

DeleteCallerIdRuleFromWatchlistRequest

Input message that defines parameters for DeleteCallerIdRuleFromWatchlist.

Uses the context field as follows:

  • gk_engagement_id: Mandatory
  • gk_session_id: Mandatory
  • gk_scope_id: Mandatory
  • configset_id: Not used
DeleteCallerIdRuleFromWatchlistRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
gk_callerid_watchlist_id nuance.biosec.v1.UniqueId Mandatory. The ID of the caller ID watchlist containing caller ID rule. For each scope there is a default caller ID watchlist with the ID “00000000-0000-0000-0000-000000000000” created at the time of the scope creation, empty by default.
gk_callerid_rule_id nuance.biosec.v1.UniqueId Mandatory. The ID of the deleted caller ID rule.

DeleteCallerIdRuleFromWatchlistResponse

Output message that defines parameters returned by DeleteCallerIdRuleFromWatchlist.

DeleteCallerIdRuleFromWatchlistResponse
Field Type Description
status nuance.rpc.Status General operation status. Returns the NOT_FOUND [status code](#nuance.rpc.StatusCode when caller ID rule with the given callerId rule id is not found.

ExportCallerIdRulesFromWatchlistRequest

Input message that defines parameters for ExportCallerIdRulesFromWatchlist.

Uses the context field as follows:

  • gk_engagement_id: Not used
  • gk_session_id: Not used
  • gk_scope_id: Mandatory
  • configset_id: Not used
ExportCallerIdRulesFromWatchlistRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
gk_callerid_watchlist_id nuance.biosec.v1.UniqueId Mandatory. Export the rules of a given caller ID watchlist ID. For each scope there is a default caller ID watchlist with the ID “00000000-0000-0000-0000-000000000000” created at the time of the scope creation, empty by default.
data_encoding CallerIdDataEncoding Mandatory. CSV data encoding type.

ExportCallerIdRulesFromWatchlistResponse

Output message that defines parameters returned by ExportCallerIdRulesFromWatchlist.

ExportCallerIdRulesFromWatchlistResponse
Field Type Description
status nuance.rpc.Status General operation status.
csv_data string The CSV file contains the caller ID rules. It is base64 encoded.

FailedCallerIdRule

Contains the detail about the caller ID rule which is not imported.

FailedCallerIdRule
Field Type Description
One of caller_id:  
Phone number or caller ID regex of the failed caller ID rule.
   phone_number string  
   caller_id_regex string  
line_number int32 The line number of failed the caller ID rule.
reason string The reason of failure.

ImportCallerIdRulesToWatchlistRequest

Input message that defines parameters for ImportCallerIdRulesToWatchlist.

Uses the context field as follows:

  • gk_engagement_id: Mandatory
  • gk_session_id: Mandatory
  • gk_scope_id: Mandatory
  • configset_id: Not used
ImportCallerIdRulesToWatchlistRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
gk_callerid_watchlist_id nuance.biosec.v1.UniqueId Mandatory. The ID of caller ID watchlist to which caller ID rules are imported. For each scope there is a default caller ID watchlist with the ID “00000000-0000-0000-0000-000000000000” created at the time of the scope creation, empty by default.
csv_data string Mandatory. The CSV file containing the caller ID rule. The following headers columns are supported: Legacy format: PhoneRegex RiskLevel Description New Format: PhoneRegex RiskLevel Description PhoneNumber Username CreationTimestamp. It must contain header line that starts with the Hash symbol (#). RiskLvel and either PhoneRegex or PhoneNumber are mandatory columns. CSV must contain either PhoneRegex or PhoneNumber in a row. CSV must be tab delimited.
upload_type UploadType Mandatory. File can be uploaded in either MERGE mode or REPLACE mode.
data_encoding CallerIdDataEncoding Mandatory. CSV data encoding type.

ImportCallerIdRulesToWatchlistResponse

Output message that defines parameters returned by ImportCallerIdRulesToWatchlist.

ImportCallerIdRulesToWatchlistResponse
Field Type Description
status nuance.rpc.Status General operation status.
failures repeated FailedCallerIdRule The list of caller ID rules that failed to import.

ListCallerIdRulesFilters

Define the filters for caller ID rules.

ListCallerIdRulesFilters
Field Type Description
search_substring google.protobuf.StringValue Optional. Substring to look for in all the rules.
max_age_days google.protobuf.Int32Value Optional. Return all rules that are created within given days.

ListWatchlistCallerIdRulesRequest

Input message that defines parameters for ListWatchlistCallerIdRules.

Uses the context field as follows:

  • gk_engagement_id: Not used
  • gk_session_id: Not used
  • gk_scope_id: Mandatory
  • configset_id: Not used
ListWatchlistCallerIdRulesRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
gk_callerid_watchlist_id nuance.biosec.v1.UniqueId Mandatory. Returns all caller ID rules of a given caller ID watchlist. For each scope there is a default caller ID watchlist with the ID “00000000-0000-0000-0000-000000000000” created at the time of the scope creation, empty by default.
offset string Optional. Starting index of the caller ID rule in the list.
max_results int32 Optional. The number of caller ID rules to be returned. Max limit is 100.
filters ListCallerIdRulesFilters Optional. Defines the filters for caller ID rules.
field_mask google.protobuf.FieldMask Optional. A field mask used to specify the CallerIdWatchlistDetailsForRead fields that the method sets.

ListWatchlistCallerIdRulesResponse

Output message that defines parameters returned by ListWatchlistCallerIdRules.

ListWatchlistCallerIdRulesResponse
Field Type Description
status nuance.rpc.Status General operation status.
details repeated CallerIdWatchlistDetailsForRead Provides the caller ID rules detail.
total_results int64 Total number of caller ID rules.
offset string Ending index of the caller ID rule in the list.
end_of_list bool Returns true on reaching the end of list.

TestCallerIdRuleRequest

Input message that defines parameters for TestCallerIdRule.

Uses the context field as follows:

  • gk_engagement_id: Not used
  • gk_session_id: Not used
  • gk_scope_id: Mandatory
  • configset_id: Not used
TestCallerIdRuleRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
caller_id_regex string Mandatory. The caller ID regex.
phone_number string Mandatory. The phone number to be tested against caller ID regex.

TestCallerIdRuleResponse

Output message that defines parameters returned by TestCallerIdRule.

TestCallerIdRuleResponse
Field Type Description
status nuance.rpc.Status General operation status.
is_matched bool Returns true if the given phone number matches the caller ID regex.

UpdateCallerIdRuleInWatchlistRequest

Input message that defines parameters for UpdateCallerIdRuleInWatchlist.

Uses the context field as follows:

  • gk_engagement_id: Mandatory
  • gk_session_id: Mandatory
  • gk_scope_id: Mandatory
  • configset_id: Not used
UpdateCallerIdRuleInWatchlistRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
gk_callerid_watchlist_id nuance.biosec.v1.UniqueId Mandatory. The ID of the caller ID watchlist containing caller ID rule. For each scope there is a default caller ID watchlist with the ID “00000000-0000-0000-0000-000000000000” created at the time of the scope creation, empty by default.
gk_callerid_rule_id nuance.biosec.v1.UniqueId Mandatory. The unique ID of the caller ID rule to be updated.
details CallerIdWatchlistDetailsForUpdate Mandatory. Defines the parameter to be updated.
field_mask google.protobuf.FieldMask Mandatory. A field mask used to specify the CallerIdWatchlistDetailsForUpdate fields that the method sets.

UpdateCallerIdRuleInWatchlistResponse

Output message that defines parameters returned by UpdateCallerIdRuleInWatchlist.

UpdateCallerIdRuleInWatchlistResponse
Field Type Description
status nuance.rpc.Status General operation status. Returns a ALREADY_EXISTS status code when caller ID rule, with already existing caller ID regex or phone number, is updated.
normalized_phone_number string Optional. The phone number, provided as numeric characters, in the rule is normalized by removing the following special characters: hash (#), plus (+), hyphen (-), whitespace ( ), and parenthesis (()).

entities_manager_enums.proto

CallerIdDataEncoding

Name Number Description
CALLER_ID_DATA_ENCODING_UNSPECIFIED 0
CALLER_ID_DATA_ENCODING_PLAIN 1
CALLER_ID_DATA_ENCODING_BASE64 2

ConsentStatus

The consent status.

Name Number Description
CONSENT_STATUS_UNSPECIFIED 0 Consent is not set.
CONSENT_STATUS_OPTED_IN 1 Consent is given.
CONSENT_STATUS_OPTED_OUT 2 Consent is not given.

DecisionReason

The reason for the decision.

Name Number Description
DECISION_REASON_UNSPECIFIED 0 Decision reason is not specified.
DECISION_REASON_LOW_RELIABILITY 1 The system could not reach a reliable decision.
DECISION_REASON_NO_RISK_DETECTED 2 Risk is not detected.
DECISION_REASON_FRAUD_RISK 3 Fraud risk is detected.
DECISION_REASON_INTERNAL_ERROR 999 An error occurred while making the decision.

UploadType

The file upload type.

Name Number Description
UPLOAD_TYPE_UNSPECIFIED 0 Upload type is not set.
UPLOAD_TYPE_MERGE 1 Upload type is merge.
UPLOAD_TYPE_REPLACE 2 Upload type is replace.